> ## Documentation Index
> Fetch the complete documentation index at: https://docs.eigenexplorer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve an operator by address

> Returns an operator record by address.



## OpenAPI

````yaml get /operators/{address}
openapi: 3.0.3
info:
  title: EigenExplorer API
  description: EigenExplorer is a community-driven data platform for EigenLayer AVS.
  version: 0.0.1
  license:
    name: MIT
    url: https://spdx.org/licenses/MIT.html
servers:
  - url: https://api.eigenexplorer.com
    description: EigenExplorer Production API
  - url: https://api-holesky.eigenexplorer.com
    description: EigenExplorer Holesky Testnet API
security: []
paths:
  /operators/{address}:
    get:
      tags:
        - Operators
      summary: Retrieve an operator by address
      description: Returns an operator record by address.
      operationId: getOperatorByAddress
      parameters:
        - in: path
          name: address
          description: The address of the operator
          schema:
            type: string
            pattern: ^0x[a-fA-F0-9]{40}$
            description: The address of the operator
            example: '0x00107cfdeaddc0a3160ed2f6fedd627f313e7b1a'
          required: true
        - in: query
          name: withTvl
          description: Toggle whether the route should calculate the TVL from shares
          schema:
            type: string
            enum:
              - 'true'
              - 'false'
            default: 'false'
            description: Toggle whether the route should calculate the TVL from shares
            example: 'false'
        - in: query
          name: withAvsData
          description: >-
            Toggle whether to return additional data for each AVS registration
            for a given Operator
          schema:
            type: string
            enum:
              - 'true'
              - 'false'
            default: 'false'
            description: >-
              Toggle whether to return additional data for each AVS registration
              for a given Operator
            example: 'false'
        - in: query
          name: withRewards
          description: Toggle whether the route should return Avs/Operator rewards APY data
          schema:
            type: string
            enum:
              - 'true'
              - 'false'
            default: 'false'
            description: >-
              Toggle whether the route should return Avs/Operator rewards APY
              data
            example: 'false'
        - in: header
          name: X-API-Token
          description: API Token for authentication
          schema:
            type: string
            description: API Token for authentication
          required: true
      responses:
        '200':
          description: The record of the requested operator.
          content:
            application/json:
              schema:
                type: object
                properties:
                  address:
                    type: string
                    pattern: ^0x[a-fA-F0-9]{40}$
                    description: The contract address of the AVS operator
                    example: '0x09e6eb09213bdd3698bd8afb43ec3cb0ecff683a'
                  metadataName:
                    type: string
                    description: The name of the AVS operator
                    example: Example AVS Operator
                  metadataDescription:
                    type: string
                    nullable: true
                    description: The description of the AVS operator
                    example: This is an example AVS operator
                  metadataDiscord:
                    type: string
                    nullable: true
                    format: uri
                    description: The URL of the AVS operator's Discord server
                    example: https://discord.com/invite/abcdefghij
                  metadataLogo:
                    type: string
                    nullable: true
                    format: uri
                    description: The URL of the AVS operator's logo
                  metadataTelegram:
                    type: string
                    nullable: true
                    format: uri
                    description: The URL of the AVS operator's Telegram channel
                    example: https://t.me/acme
                  metadataWebsite:
                    type: string
                    nullable: true
                    format: uri
                    description: The URL of the AVS operator's website
                    example: https://acme.com
                  metadataX:
                    type: string
                    nullable: true
                    format: uri
                    description: The URL of the AVS operator's X
                    example: https://twitter.com/acme
                  totalStakers:
                    type: number
                    description: >-
                      The total number of stakers who have delegated to this AVS
                      operator
                    example: 10
                  totalAvs:
                    type: number
                    description: The total number of AVS opted by the AVS operator
                    example: 10
                  maxApy:
                    type: string
                    description: >-
                      The best strategy APY, representing the maximum value when
                      each strategy's APY is summed across all AVSs, as
                      strategies collect APY from multiple AVSs (it stacks).
                      This reflects the highest APY you can get for a strategy
                      after deducting the operator fee
                    example: '1.0'
                  createdAtBlock:
                    type: string
                    description: The block number at which the AVS Operator was registered
                    example: '19631203'
                  updatedAtBlock:
                    type: string
                    description: >-
                      The block number at which the AVS Operator registration
                      was last updated
                    example: '19631203'
                  createdAt:
                    type: string
                    description: The time stamp at which the AVS Operator was registered
                    example: '2024-04-11T08:31:11.000Z'
                  updatedAt:
                    type: string
                    description: >-
                      The time stamp at which the AVS Operator registration was
                      last updated
                    example: '2024-04-11T08:31:11.000Z'
                  shares:
                    type: array
                    items:
                      type: object
                      properties:
                        strategyAddress:
                          type: string
                          pattern: ^0x[a-fA-F0-9]{40}$
                          description: The contract address of the restaking strategy
                          example: '0xbeac0eeeeeeeeeeeeeeeeeeeeeeeeeeeeeebeac0'
                        shares:
                          type: string
                          description: The amount of shares held in the strategy
                          example: '1277920000000000000000000'
                      required:
                        - strategyAddress
                        - shares
                    description: The strategy shares held in the AVS operator
                    example:
                      - strategyAddress: '0x93c4b944d05dfe6df7645a86cd2206016c51564d'
                        shares: '135064894598947935263152'
                      - strategyAddress: '0x54945180db7943c0ed0fee7edab2bd24620256bc'
                        shares: '9323641881708650182301'
                  avsRegistrations:
                    type: array
                    items:
                      type: object
                      properties:
                        avsAddress:
                          type: string
                          pattern: ^0x[a-fA-F0-9]{40}$
                          description: The address of the AVS contract
                          example: '0x870679e138bcdf293b7ff14dd44b70fc97e12fc0'
                        isActive:
                          type: boolean
                          description: >-
                            True indicates operator is an active participant
                            while False indicates it used to be one but not
                            anymore
                          example: false
                        metadataName:
                          type: string
                          description: The name of the AVS
                          example: Example AVS
                        metadataDescription:
                          type: string
                          nullable: true
                          description: The description of the AVS
                          example: This is an example AVS
                        metadataDiscord:
                          type: string
                          nullable: true
                          format: uri
                          description: The URL of the AVS's Discord server
                          example: https://discord.com/invite/abcdefghij
                        metadataLogo:
                          type: string
                          nullable: true
                          format: uri
                          description: The URL of the AVS's logo
                        metadataTelegram:
                          type: string
                          nullable: true
                          format: uri
                          description: The URL of the AVS's Telegram channel
                          example: https://t.me/acme
                        metadataWebsite:
                          type: string
                          nullable: true
                          format: uri
                          description: The URL of the AVS's website
                          example: https://acme.com
                        metadataX:
                          type: string
                          nullable: true
                          format: uri
                          description: The URL of the AVS's X
                          example: https://twitter.com/acme
                        metadataUrl:
                          type: string
                          description: URL for AVS metadata
                          example: https://example.json
                        curatedMetadata:
                          type: object
                          properties:
                            metadataName:
                              type: string
                              description: The name of the AVS
                              example: Example AVS
                            metadataDescription:
                              type: string
                              nullable: true
                              description: The description of the AVS
                              example: This is an example AVS
                            metadataDiscord:
                              type: string
                              nullable: true
                              format: uri
                              description: The URL of the AVS's Discord server
                              example: https://discord.com/invite/abcdefghij
                            metadataLogo:
                              type: string
                              nullable: true
                              format: uri
                              description: The URL of the AVS's logo
                            metadataTelegram:
                              type: string
                              nullable: true
                              format: uri
                              description: The URL of the AVS's Telegram channel
                              example: https://t.me/acme
                            metadataWebsite:
                              type: string
                              nullable: true
                              format: uri
                              description: The URL of the AVS's website
                              example: https://acme.com
                            metadataX:
                              type: string
                              nullable: true
                              format: uri
                              description: The URL of the AVS's X
                              example: https://twitter.com/acme
                            metadataGithub:
                              type: string
                              nullable: true
                              format: uri
                              description: The URL of the AVS's Github
                              example: https://github.com/acme
                            metadataTokenAddress:
                              type: string
                              nullable: true
                              format: uri
                              description: The Token Address of the AVS
                              example: '0x2344c0fe02ccd2b32155ca0ffcb1978a6d96a552'
                            tags:
                              type: array
                              items:
                                type: string
                              description: Tags to describe the AVS
                              example:
                                - Example tag 1
                                - Example tag 2
                            isVisible:
                              type: boolean
                              description: Indicates if AVS visibility is allowed
                              example: false
                            isVerified:
                              type: boolean
                              description: >-
                                Indicates if the AVS has been verified by the
                                EigenExplorer team
                              example: false
                          required:
                            - metadataName
                            - metadataDescription
                            - metadataDiscord
                            - metadataLogo
                            - metadataTelegram
                            - metadataWebsite
                            - metadataX
                            - metadataGithub
                            - metadataTokenAddress
                            - tags
                            - isVisible
                            - isVerified
                          description: Curated metadata information for AVS
                        restakeableStrategies:
                          type: array
                          items:
                            type: string
                            pattern: ^0x[a-fA-F0-9]{40}$
                          description: The list of restakeable strategies for AVS
                        totalStakers:
                          type: number
                          description: Total number of stakers
                          example: 80000
                        totalOperators:
                          type: number
                          description: Total number of operators
                          example: 200
                        tvlEth:
                          type: string
                          description: Total TVL in ETH
                          example: '3000000'
                        createdAtBlock:
                          type: number
                          description: The block number at which the AVS was created
                          example: 19592323
                        updatedAtBlock:
                          type: number
                          description: The block number at which the AVS was last updated
                          example: 19592323
                        createdAt:
                          type: string
                          description: The time stamp at which the AVS was created
                          example: '2024-04-05T21:49:59.000Z'
                        updatedAt:
                          type: string
                          description: The time stamp at which the AVS was last updated
                          example: '2024-04-05T21:49:59.000Z'
                        address:
                          type: string
                          pattern: ^0x[a-fA-F0-9]{40}$
                          description: AVS service manager contract address
                          example: '0x870679e138bcdf293b7ff14dd44b70fc97e12fc0'
                        maxApy:
                          type: string
                          description: The max APY for the AVS across all the strategies
                          example: '1.0'
                        rewardsSubmissions:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: number
                                description: Id for the rewards submission
                                example: 1
                              submissionNonce:
                                type: number
                                description: The nonce of the rewards submission
                                example: 0
                              rewardsSubmissionHash:
                                type: string
                                description: The hash of the rewards submission
                                example: >-
                                  0x2bc2f7cef0974f7064dbdae054f9a0e5ea1c2293d180a749c70100506382d85
                              avsAddress:
                                type: string
                                pattern: ^0x[a-fA-F0-9]{40}$
                                description: AVS address for the rewards submission
                                example: '0x870679e138bcdf293b7ff14dd44b70fc97e12fc0'
                              strategyAddress:
                                type: string
                                pattern: ^0x[a-fA-F0-9]{40}$
                                description: Strategy address for the rewards submission
                                example: '0x0fe4f44bee93503346a3ac9ee5a26b130a5796d6'
                              multiplier:
                                type: string
                                description: The multiplier associated with this strategy
                                example: '1000000000000000000'
                              token:
                                type: string
                                pattern: ^0x[a-fA-F0-9]{40}$
                                description: >-
                                  The contract address of the token used for
                                  rewards distribution
                                example: '0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2'
                              amount:
                                type: string
                                description: >-
                                  The amount of rewards allocated to this
                                  strategy from the total rewards
                                example: '300000000000000000'
                              startTimestamp:
                                type: number
                                description: >-
                                  The timestamp marking the start of this
                                  rewards distribution period
                                example: 1720000000
                              duration:
                                type: number
                                description: >-
                                  The duration (in seconds) over which the
                                  rewards are distributed
                                example: 2500000
                              createdAtBlock:
                                type: number
                                description: >-
                                  The block number at which the reward
                                  submission was recorded
                                example: 20495824
                              createdAt:
                                type: string
                                description: >-
                                  The timestamp at which the reward submission
                                  was recorded
                                example: '2024-08-10T04:28:47.000Z'
                            required:
                              - id
                              - submissionNonce
                              - rewardsSubmissionHash
                              - avsAddress
                              - strategyAddress
                              - multiplier
                              - token
                              - amount
                              - startTimestamp
                              - duration
                              - createdAtBlock
                              - createdAt
                          description: List of rewards submissions associated with AVS
                      required:
                        - avsAddress
                        - isActive
                        - metadataName
                        - metadataDescription
                        - metadataDiscord
                        - metadataLogo
                        - metadataTelegram
                        - metadataWebsite
                        - metadataX
                        - metadataUrl
                        - restakeableStrategies
                        - totalStakers
                        - totalOperators
                        - tvlEth
                        - createdAtBlock
                        - updatedAtBlock
                        - createdAt
                        - updatedAt
                        - address
                        - maxApy
                        - rewardsSubmissions
                    description: Detailed AVS registrations information for the operator
                  tvl:
                    type: object
                    properties:
                      tvl:
                        type: number
                        description: The combined TVL of all restaking strategies in ETH
                        example: 1000000
                      tvlBeaconChain:
                        type: number
                        description: The TVL of Beacon Chain restaking strategy in ETH
                        example: 1000000
                      tvlRestaking:
                        type: number
                        description: >-
                          The combined TVL of all liquid restaking strategies in
                          ETH
                        example: 1000000
                      tvlWETH:
                        type: number
                        description: The TVL of WETH restaking strategy in ETH
                        example: 1000000
                      tvlStrategies:
                        type: object
                        additionalProperties:
                          type: number
                          description: >-
                            The total value locked (TVL) in the strategy,
                            denominated in the strategy's native token
                          example: 1000000
                        description: >-
                          The TVL of each individual restaking strategy in its
                          native token
                        example:
                          Eigen: 1000000
                          cbETH: 2000000
                      tvlStrategiesEth:
                        type: object
                        additionalProperties:
                          type: number
                          description: >-
                            The total value locked (TVL) in the strategy,
                            denominated in ETH
                          example: 1000000
                        description: The TVL of each individual restaking strategy in ETH
                        example:
                          Eigen: 1000000
                          cbETH: 2000000
                    required:
                      - tvl
                      - tvlBeaconChain
                      - tvlRestaking
                      - tvlWETH
                      - tvlStrategies
                      - tvlStrategiesEth
                    description: The total value locked (TVL) in the AVS operator
                    example:
                      tvl: 1000000
                      tvlBeaconChain: 1000000
                      tvlWETH: 1000000
                      tvlRestaking: 1000000
                      tvlStrategies:
                        Eigen: 1000000
                        cbETH: 2000000
                      tvlStrategiesEth:
                        stETH: 1000000
                        cbETH: 2000000
                  rewards:
                    type: array
                    items:
                      type: object
                      properties:
                        avsAddress:
                          type: string
                          pattern: ^0x[a-fA-F0-9]{40}$
                          description: AVS service manager contract address
                          example: '0x870679e138bcdf293b7ff14dd44b70fc97e12fc0'
                        maxApy:
                          type: number
                          description: >-
                            The max APY for the AVS Operator across all the
                            strategies after deducting the operator fee
                          example: 0.1
                        strategyApys:
                          type: array
                          items:
                            type: object
                            properties:
                              strategyAddress:
                                type: string
                                description: The contract address of the restaking strategy
                                example: '0xbeac0eeeeeeeeeeeeeeeeeeeeeeeeeeeeeebeac0'
                              apy:
                                type: number
                                description: >-
                                  The cumulative APY from all tokens in this
                                  strategy
                                example: 0.1
                              tokens:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    tokenAddress:
                                      type: string
                                      description: >-
                                        The contract address of the token
                                        involved in the strategy
                                      example: >-
                                        0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2
                                    apy:
                                      type: number
                                      description: >-
                                        The APY contributed by this individual
                                        token
                                      example: 0.1
                                  required:
                                    - tokenAddress
                                    - apy
                            required:
                              - strategyAddress
                              - apy
                              - tokens
                      required:
                        - avsAddress
                        - maxApy
                        - strategyApys
                    description: >-
                      The reward details for the operator, including strategies
                      and APYs
                required:
                  - address
                  - metadataName
                  - metadataDescription
                  - metadataDiscord
                  - metadataLogo
                  - metadataTelegram
                  - metadataWebsite
                  - metadataX
                  - totalStakers
                  - totalAvs
                  - maxApy
                  - createdAtBlock
                  - updatedAtBlock
                  - createdAt
                  - updatedAt
                  - shares
                  - avsRegistrations
                  - rewards
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '422':
          $ref: '#/components/responses/422'
        '429':
          $ref: '#/components/responses/429'
        '500':
          $ref: '#/components/responses/500'
components:
  responses:
    '400':
      description: >-
        The server cannot or will not process the request due to something that
        is perceived to be a client error (e.g., malformed request syntax,
        invalid request message framing, or deceptive request routing).
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - bad_request
                    description: A short code indicating the error code returned.
                    example: bad_request
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#bad_request
                required:
                  - code
                  - message
            required:
              - error
    '401':
      description: >-
        Although the HTTP standard specifies "unauthorized", semantically this
        response means "unauthenticated". That is, the client must authenticate
        itself to get the requested response.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - unauthorized
                    description: A short code indicating the error code returned.
                    example: unauthorized
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#unauthorized
                required:
                  - code
                  - message
            required:
              - error
    '403':
      description: >-
        The client does not have access rights to the content; that is, it is
        unauthorized, so the server is refusing to give the requested resource.
        Unlike 401 Unauthorized, the client's identity is known to the server.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - forbidden
                    description: A short code indicating the error code returned.
                    example: forbidden
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#forbidden
                required:
                  - code
                  - message
            required:
              - error
    '404':
      description: The server cannot find the requested resource.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - not_found
                    description: A short code indicating the error code returned.
                    example: not_found
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#not_found
                required:
                  - code
                  - message
            required:
              - error
    '422':
      description: >-
        The request was well-formed but was unable to be followed due to
        semantic errors.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - unprocessable_entity
                    description: A short code indicating the error code returned.
                    example: unprocessable_entity
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#unprocessable_entity
                required:
                  - code
                  - message
            required:
              - error
    '429':
      description: >-
        The user has sent too many requests in a given amount of time ("rate
        limiting")
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - rate_limit_exceeded
                    description: A short code indicating the error code returned.
                    example: rate_limit_exceeded
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#rate_limit_exceeded
                required:
                  - code
                  - message
            required:
              - error
    '500':
      description: The server has encountered a situation it does not know how to handle.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - internal_server_error
                    description: A short code indicating the error code returned.
                    example: internal_server_error
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#internal_server_error
                required:
                  - code
                  - message
            required:
              - error

````